libzypp: zypp::target Namespace Reference

libzypp 17.38.9

zypp::target Namespace Reference

## Namespaces
namespace | rpm

## Classes
class | RepoProvidePackage
| Default PackageProvider for CommitPackageCache. More...
class | CommitPackageCache
| Target::commit helper optimizing package provision. More...
struct | IMediaKey
| Helper storing a source id and media number. More...
class | CommitPackageCacheReadAhead
class | HardLocksFile
| Save and restore hardlocks. More...
class | Modalias
| Hardware abstaction layer singleton. More...
class | RequestedLocalesFile
| Save and restore locale set from file. More...
class | RpmPostTransCollector
| Extract and remember posttrans scripts for later execution. More...
class | SolvIdentFile
| Save and restore a list of solvable names (ident IdString). More...
class | RpmInstallPackageReceiver
class | RpmRemovePackageReceiver
class | TargetException
| Just inherits Exception to separate target exceptions. More...
class | TargetAbortedException
struct | SendSingleTransReport
| Convenience SendReport<rpm::SingleTransReport> wrapper. More...
class | TargetImpl
| Base class for concrete Target implementations. More...
struct | PatchMessageReport
| Request to display the pre commit message of a patch. More...
struct | PatchScriptReport
| Indicate execution of a patch script. More...
class | FindFileConflictstReport
| Check for package file conflicts in commit (after download). More...

## Functions
std::ostream & | operator<< (std::ostream &str, const CommitPackageCache &obj)
| relates: CommitPackageCache Stream output
std::ostream & | operator<< (std::ostream &str, const CommitPackageCache::Impl &obj)
| relates: CommitPackageCache::Impl Stream output
std::ostream & | operator<< (std::ostream &str, const IMediaKey &obj)
std::ostream & | operator<< (std::ostream &str, const HardLocksFile &obj)
| relates: HardLocksFile Stream output
std::ostream & | operator<< (std::ostream &str, const Modalias::Impl &obj)
| relates: Modalias::Impl Stream output And maybe std::ostream & operator<< Modalias::Impl below too.
std::ostream & | operator<< (std::ostream &str, const Modalias &obj)
| relates: Modalias Stream output
std::ostream & | operator<< (std::ostream &str, const RequestedLocalesFile &obj)
| relates: RequestedLocalesFile Stream output
std::ostream & | operator<< (std::ostream &str, const RpmPostTransCollector::Impl &obj)
| relates: RpmPostTransCollector::Impl Stream output
std::ostream & | dumpOn (std::ostream &str, const RpmPostTransCollector::Impl &obj)
| relates: RpmPostTransCollector::Impl Verbose stream output
std::ostream & | operator<< (std::ostream &str, const RpmPostTransCollector &obj)
| relates: RpmPostTransCollector Stream output
std::ostream & | dumpOn (std::ostream &str, const RpmPostTransCollector &obj)
std::ostream & | dumOn (std::ostream &str, const RpmPostTransCollector &obj)
| relates: RpmPostTransCollector Verbose stream output
std::ostream & | operator<< (std::ostream &str, const SolvIdentFile &obj)
| relates: SolvIdentFile Stream output
std::string | rpmDbStateHash (const Pathname &root_r)
RepoStatus | rpmDbRepoStatus (const Pathname &root_r)
void | writeUpgradeTestcase ()
void | XRunUpdateMessages (const Pathname &root_r, const Pathname &messagesPath_r, const std::vector< sat::Solvable > &checkPackages_r, ZYppCommitResult &result_r)
| IMPL_PTR_TYPE (TargetImpl)
static std::string | generateRandomId ()
| generates a random id using uuidgen
void | updateFileContent (const Pathname &filename, boost::function< bool()> condition, boost::function< std::string()> value)
| updates the content of `filename` if `condition` is true, setting the content the the value returned by `value`
static bool | fileMissing (const Pathname &pathname)
| helper functor
| DEFINE_PTR_TYPE (TargetImpl)
std::ostream & | operator<< (std::ostream &str, const TargetImpl &obj)
| relates: TargetImpl Stream output

## Function Documentation

## ◆ operator<<() [1/11]

std::ostream & zypp::target::operator<< | ( | std::ostream & | str,
|  | const CommitPackageCache & | obj )

relates: CommitPackageCache Stream output

Definition at line 155 of file CommitPackageCache.cc.

## ◆ operator<<() [2/11]

std::ostream & zypp::target::operator<< | ( | std::ostream & | str,
|  | const CommitPackageCache::Impl & | obj )
| inline

relates: CommitPackageCache::Impl Stream output

Definition at line 111 of file CommitPackageCacheImpl.h.

## ◆ operator<<() [3/11]

std::ostream & zypp::target::operator<< | ( | std::ostream & | str,
|  | const IMediaKey & | obj )

Definition at line 36 of file CommitPackageCacheReadAhead.cc.

## ◆ operator<<() [4/11]

std::ostream & zypp::target::operator<< | ( | std::ostream & | str,
|  | const HardLocksFile & | obj )

relates: HardLocksFile Stream output

Definition at line 72 of file HardLocksFile.cc.

## ◆ operator<<() [5/11]

std::ostream & zypp::target::operator<< | ( | std::ostream & | str,
|  | const Modalias::Impl & | obj )
| inline

relates: Modalias::Impl Stream output And maybe std::ostream & operator<< Modalias::Impl below too.

return libhal version or something like that.

Definition at line 205 of file Modalias.cc.

## ◆ operator<<() [6/11]

std::ostream & zypp::target::operator<< | ( | std::ostream & | str,
|  | const Modalias & | obj )

relates: Modalias Stream output

Definition at line 238 of file Modalias.cc.

## ◆ operator<<() [7/11]

std::ostream & zypp::target::operator<< | ( | std::ostream & | str,
|  | const RequestedLocalesFile & | obj )

relates: RequestedLocalesFile Stream output

Definition at line 80 of file RequestedLocalesFile.cc.

## ◆ operator<<() [8/11]

std::ostream & zypp::target::operator<< | ( | std::ostream & | str,
|  | const RpmPostTransCollector::Impl & | obj )
| inline

relates: RpmPostTransCollector::Impl Stream output

Definition at line 397 of file RpmPostTransCollector.cc.

## ◆ dumpOn() [1/2]

std::ostream & zypp::target::dumpOn | ( | std::ostream & | str,
|  | const RpmPostTransCollector::Impl & | obj )
| inline

relates: RpmPostTransCollector::Impl Verbose stream output

Definition at line 401 of file RpmPostTransCollector.cc.

## ◆ operator<<() [9/11]

std::ostream & zypp::target::operator<< | ( | std::ostream & | str,
|  | const RpmPostTransCollector & | obj )

relates: RpmPostTransCollector Stream output

Definition at line 432 of file RpmPostTransCollector.cc.

## ◆ dumpOn() [2/2]

std::ostream & zypp::target::dumpOn | ( | std::ostream & | str,
|  | const RpmPostTransCollector & | obj )

Definition at line 435 of file RpmPostTransCollector.cc.

## ◆ dumOn()

std::ostream & zypp::target::dumOn | ( | std::ostream & | str,
|  | const RpmPostTransCollector & | obj )

relates: RpmPostTransCollector Verbose stream output

## ◆ operator<<() [10/11]

std::ostream & zypp::target::operator<< | ( | std::ostream & | str,
|  | const SolvIdentFile & | obj )

relates: SolvIdentFile Stream output

Definition at line 88 of file SolvIdentFile.cc.

## ◆ rpmDbStateHash()

std::string zypp::target::rpmDbStateHash | ( | const Pathname & | root_r | ) |
| inline

Definition at line 109 of file TargetImpl.cc.

## ◆ rpmDbRepoStatus()

RepoStatus zypp::target::rpmDbRepoStatus | ( | const Pathname & | root_r | ) |
| inline

Definition at line 127 of file TargetImpl.cc.

## ◆ writeUpgradeTestcase()

void zypp::target::writeUpgradeTestcase | ( |  | ) |

Definition at line 501 of file TargetImpl.cc.

## ◆ XRunUpdateMessages()

void zypp::target::XRunUpdateMessages | ( | const Pathname & | root_r,
|  | const Pathname & | messagesPath_r,
|  | const std::vector< sat::Solvable > & | checkPackages_r,
|  | ZYppCommitResult & | result_r )

Definition at line 947 of file TargetImpl.cc.

## ◆ IMPL_PTR_TYPE()

zypp::target::IMPL_PTR_TYPE | ( | TargetImpl |  | ) |

## ◆ generateRandomId()

std::string zypp::target::generateRandomId | ( |  | ) |
| static

generates a random id using uuidgen

Definition at line 982 of file TargetImpl.cc.

## ◆ updateFileContent()

void zypp::target::updateFileContent | ( | const Pathname & | filename,
|  | boost::function< bool()> | condition,
|  | boost::function< std::string()> | value )

updates the content of `filename` if `condition` is true, setting the content the the value returned by `value`

Definition at line 993 of file TargetImpl.cc.

## ◆ fileMissing()

bool zypp::target::fileMissing | ( | const Pathname & | pathname | ) |
| static

helper functor

Definition at line 1028 of file TargetImpl.cc.

## ◆ DEFINE_PTR_TYPE()

zypp::target::DEFINE_PTR_TYPE | ( | TargetImpl |  | ) |

## ◆ operator<<() [11/11]

std::ostream & zypp::target::operator<< | ( | std::ostream & | str,
|  | const TargetImpl & | obj )
| inline

relates: TargetImpl Stream output

Definition at line 241 of file TargetImpl.h.